# Creates a new store record that does not already exist. This method will auto-generate an ID and create a new store. If an ID is specified for the store, an error will be thrown. Endpoint: POST /stores/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Request fields (application/json): - `allow_customer_to_choose_installment_plan` (boolean) If true, the customer can choose their installment plan - `bank_account_id` (string, required) The default bank account that the store should use to receive payments - `bill_my_organization_options` (object) - `bill_my_organization_options.billing_address` (string) Enum: "do not show", "optional", "required" - `bill_my_organization_options.purchase_order_number` (string) Enum: "do not show", "optional", "required" - `bill_my_organization_options.reference_number` (string) The reference # - `bill_my_parent_organization_options` (object) - `business_unit_id` (string, required) The business unit of the store - `cancellation_confirmation_settings` (object, required) - `cancellation_confirmation_settings.email` (object) The email template to send - `cancellation_confirmation_settings.email.bcc` (string) Anyone that should be bcc'ed on the email - `cancellation_confirmation_settings.email.body` (string, required) The email body - `cancellation_confirmation_settings.email.cc` (string) Anyone that should be cc'ed on the email - `cancellation_confirmation_settings.email.from` (string) From email address - `cancellation_confirmation_settings.email.from_name` (string) From name - `cancellation_confirmation_settings.email.reply_to` (string) The reply to - `cancellation_confirmation_settings.email.subject` (string, required) The email subject - `cancellation_confirmation_settings.suppress_email_delivery` (boolean) If true, emails are not sent - `cancellation_fee_product_id` (string) The ID of the product used for cancellation fees - `category_ids` (array, required) - `category_inclusion` (string) Enum: "include all but specified", "include all categories", "include only specified" - `certification_course_options` (object, required) - `certification_course_options.category_name` (string) The optional name of the category - `certification_course_options.course_ids` (array) - `certification_course_options.course_restriction` (string) Enum: "exclude", "include", "none" - `certification_course_options.course_type_ids` (array) - `certification_course_options.course_type_restriction` (string) Enum: "exclude", "include", "none" - `certification_exam_options` (object, required) - `certification_exam_options.exam_ids` (array) - `certification_exam_options.exam_restriction` (string) Enum: "exclude", "include", "none" - `certification_exam_options.image_uri` (string) The image to display in the store for exams - `checkout_donation_options` (object, required) - `checkout_donation_options.simple_checkout_donation_options` (object) - `checkout_donation_options.simple_checkout_donation_options.allow_user_to_specify_custom_amount` (boolean) If set, the user can specify their own custom donation - `checkout_donation_options.simple_checkout_donation_options.donation_ask_text` (string) The text shown to the user when making the donation - `checkout_donation_options.simple_checkout_donation_options.donation_denominations` (array) - `checkout_donation_options.simple_checkout_donation_options.donation_information` (string) Additional information about the donation - `checkout_donation_options.simple_checkout_donation_options.donation_product_id` (string, required) The misc product that should be used - `checkout_donation_options.simple_checkout_donation_options.override_donation_denominations` (boolean) If set, donation denominations are specified here and the defaults are not used - `checkout_donation_options.simple_checkout_donation_options.suggested_donation` (number) A suggested donation - `checkout_donation_options.type` (string) Enum: "simple" - `credit_card_minimum_range_end` (number) If set, the maximum amount for which credit cards can be taken - `credit_card_minimum_range_start` (number) If set, the minimum amount for which credit cards can be taken - `credit_card_mode` (string) Determines whether or not credit cards are accepted Enum: "disabled", "enabled", "range" - `credit_card_processing_fee_mode` (string) Determines how credit card processing fees should be handled Enum: "charge", "do not charge", "prompt user" - `credit_card_processing_fee_options` (object, required) - `credit_card_processing_fee_options.fee_percentage` (number, required) The fee percentage to charge for credit card processing - `credit_card_processing_fee_options.maximum_fee` (number) The maximum amount to charge. If the fee comes out to be MORE than this, than this amount will be charged - `credit_card_processing_fee_options.minimum_fee` (number) The minimum amount to charge. If the fee comes out to be less than this, than this amount will be charged - `credit_card_processing_fee_options.product_id` (string, required) The misc product to use for the credit card processing - `credit_card_processing_fee_options.prompt_sub_text` (string) Additional text that is shown to the user when asking if they want to pay for credit card processing fees. If not set a default will be used - `credit_card_processing_fee_options.prompt_text` (string) The checkbox text to show the user when asking if they want to pay for credit card processing fees. If not set a default will be used - `default_certification_course_image_uri` (string) The image to display in the store for courses - `default_certification_exam_image_uri` (string) The image to display in the store for exams - `default_event_registration_image_uri` (string) The image to display in the store for event registrations - `default_membership_package_image_uri` (string) The image to display in the store for membership - `default_merchandise_image_uri` (string) The default image to show for products with no image - `default_product_sort` (string) Enum: "alphabetical ascending", "alphabetical descending", "newest items", "price ascending", "price descending", "sort order" - `disable_electronic_payment_vaulting` (boolean) If set, in the portal people are not allowed to save credit cards - `enable_bill_my_organization` (boolean) If set, the user has the option to bill their organization - `enable_bill_my_parent_organization` (boolean) If set, the user has the option to bill their organization's parent organization - `enable_donations_at_checkout` (boolean) If selected, users will be prompted to make a donation upon checking out - `enable_electronic_checks` (boolean) If set, electronic checks are allowed - `enable_pay_later` (boolean) If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed - `enable_payroll_deduction` (boolean) If set, payroll deduction is allowed - `enable_split_payments` (boolean) If set, users are allowed to split payments - `event_registration_options` (object, required) - `event_registration_options.event_ids` (array) - `event_registration_options.event_restriction` (string) Enum: "exclude", "include", "none" - `event_registration_options.event_type_ids` (array) - `event_registration_options.event_type_restriction` (string) Enum: "exclude", "include", "none" - `home_category_id` (string) The "home" category of products to display when someone lands on the store - `id` (string, required) The unique, string identifier of this store - `installment_plan_options` (array, required) - `installment_plan_options.additional_cost` (number) The additional cost of the installment plan - `installment_plan_options.installment_plan_id` (string, required) The installment plan that this product supports - `installment_plan_options.is_default` (boolean) Whether this is the default installment plan option - `invoice_payment_terms_id` (string) The payment terms for invoices; if left blank, default is used - `invoice_template_id` (string) The template to use for invoices created during this process - `invoice_terms_id` (string) Default invoice terms for non-electronic payments made to the store - `is_active` (boolean) Whether or not this store is active - `membership_package_options` (object, required) - `membership_package_options.membership_package_ids` (array) - `membership_package_options.membership_package_restriction` (string) Enum: "exclude", "include", "none" - `membership_package_options.membership_type_ids` (array) - `membership_package_options.membership_type_restriction` (string) Enum: "exclude", "include", "none" - `merchant_account_id` (string, required) The merchant account that the store should use to receive payments - `name` (string, required) The name of the store - `order_confirmation_settings` (object, required) - `override_cancellation_confirmation_email` (boolean) If set, you can override the text of the confirmation email - `override_order_confirmation_email` (boolean) If set, you can override the text of the confirmation email - `override_return_confirmation_email` (boolean) If set, you can override the text of the confirmation email - `override_shipment_confirmation_email` (boolean) If set, you can override the text of the shipment email - `pay_later_options` (object) - `restocking_fee_product_id` (string) The ID of the product used for restocking fees - `return_confirmation_settings` (object, required) - `sell_certification_courses` (boolean) If set, this store sells certification courses - `sell_certification_exams` (boolean) If set, this store sells certification exams - `sell_event_registration_packages` (boolean) If set, this store sells event registration packages - `sell_membership_packages` (boolean) If set, this store sells membership packages - `shipment_confirmation_settings` (object, required) - `special_instructions` (string) Instructions shown to the user - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `use_pro_forma_invoices` (boolean) Whether to use pro forma invoices when user elects to pay later ## Response 200 fields (application/json): - `allow_customer_to_choose_installment_plan` (boolean) If true, the customer can choose their installment plan - `bank_account_id` (string, required) The default bank account that the store should use to receive payments - `bill_my_organization_options` (object) - `bill_my_organization_options.billing_address` (string) Enum: "do not show", "optional", "required" - `bill_my_organization_options.purchase_order_number` (string) Enum: "do not show", "optional", "required" - `bill_my_organization_options.reference_number` (string) The reference # - `bill_my_parent_organization_options` (object) - `business_unit_id` (string, required) The business unit of the store - `cancellation_confirmation_settings` (object, required) - `cancellation_confirmation_settings.email` (object) The email template to send - `cancellation_confirmation_settings.email.bcc` (string) Anyone that should be bcc'ed on the email - `cancellation_confirmation_settings.email.body` (string, required) The email body - `cancellation_confirmation_settings.email.cc` (string) Anyone that should be cc'ed on the email - `cancellation_confirmation_settings.email.from` (string) From email address - `cancellation_confirmation_settings.email.from_name` (string) From name - `cancellation_confirmation_settings.email.reply_to` (string) The reply to - `cancellation_confirmation_settings.email.subject` (string, required) The email subject - `cancellation_confirmation_settings.suppress_email_delivery` (boolean) If true, emails are not sent - `cancellation_fee_product_id` (string) The ID of the product used for cancellation fees - `category_ids` (array, required) - `category_inclusion` (string) Enum: "include all but specified", "include all categories", "include only specified" - `certification_course_options` (object, required) - `certification_course_options.category_name` (string) The optional name of the category - `certification_course_options.course_ids` (array) - `certification_course_options.course_restriction` (string) Enum: "exclude", "include", "none" - `certification_course_options.course_type_ids` (array) - `certification_course_options.course_type_restriction` (string) Enum: "exclude", "include", "none" - `certification_exam_options` (object, required) - `certification_exam_options.exam_ids` (array) - `certification_exam_options.exam_restriction` (string) Enum: "exclude", "include", "none" - `certification_exam_options.image_uri` (string) The image to display in the store for exams - `checkout_donation_options` (object, required) - `checkout_donation_options.simple_checkout_donation_options` (object) - `checkout_donation_options.simple_checkout_donation_options.allow_user_to_specify_custom_amount` (boolean) If set, the user can specify their own custom donation - `checkout_donation_options.simple_checkout_donation_options.donation_ask_text` (string) The text shown to the user when making the donation - `checkout_donation_options.simple_checkout_donation_options.donation_denominations` (array) - `checkout_donation_options.simple_checkout_donation_options.donation_information` (string) Additional information about the donation - `checkout_donation_options.simple_checkout_donation_options.donation_product_id` (string, required) The misc product that should be used - `checkout_donation_options.simple_checkout_donation_options.override_donation_denominations` (boolean) If set, donation denominations are specified here and the defaults are not used - `checkout_donation_options.simple_checkout_donation_options.suggested_donation` (number) A suggested donation - `checkout_donation_options.type` (string) Enum: "simple" - `credit_card_minimum_range_end` (number) If set, the maximum amount for which credit cards can be taken - `credit_card_minimum_range_start` (number) If set, the minimum amount for which credit cards can be taken - `credit_card_mode` (string) Determines whether or not credit cards are accepted Enum: "disabled", "enabled", "range" - `credit_card_processing_fee_mode` (string) Determines how credit card processing fees should be handled Enum: "charge", "do not charge", "prompt user" - `credit_card_processing_fee_options` (object, required) - `credit_card_processing_fee_options.fee_percentage` (number, required) The fee percentage to charge for credit card processing - `credit_card_processing_fee_options.maximum_fee` (number) The maximum amount to charge. If the fee comes out to be MORE than this, than this amount will be charged - `credit_card_processing_fee_options.minimum_fee` (number) The minimum amount to charge. If the fee comes out to be less than this, than this amount will be charged - `credit_card_processing_fee_options.product_id` (string, required) The misc product to use for the credit card processing - `credit_card_processing_fee_options.prompt_sub_text` (string) Additional text that is shown to the user when asking if they want to pay for credit card processing fees. If not set a default will be used - `credit_card_processing_fee_options.prompt_text` (string) The checkbox text to show the user when asking if they want to pay for credit card processing fees. If not set a default will be used - `default_certification_course_image_uri` (string) The image to display in the store for courses - `default_certification_exam_image_uri` (string) The image to display in the store for exams - `default_event_registration_image_uri` (string) The image to display in the store for event registrations - `default_membership_package_image_uri` (string) The image to display in the store for membership - `default_merchandise_image_uri` (string) The default image to show for products with no image - `default_product_sort` (string) Enum: "alphabetical ascending", "alphabetical descending", "newest items", "price ascending", "price descending", "sort order" - `disable_electronic_payment_vaulting` (boolean) If set, in the portal people are not allowed to save credit cards - `enable_bill_my_organization` (boolean) If set, the user has the option to bill their organization - `enable_bill_my_parent_organization` (boolean) If set, the user has the option to bill their organization's parent organization - `enable_donations_at_checkout` (boolean) If selected, users will be prompted to make a donation upon checking out - `enable_electronic_checks` (boolean) If set, electronic checks are allowed - `enable_pay_later` (boolean) If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed - `enable_payroll_deduction` (boolean) If set, payroll deduction is allowed - `enable_split_payments` (boolean) If set, users are allowed to split payments - `event_registration_options` (object, required) - `event_registration_options.event_ids` (array) - `event_registration_options.event_restriction` (string) Enum: "exclude", "include", "none" - `event_registration_options.event_type_ids` (array) - `event_registration_options.event_type_restriction` (string) Enum: "exclude", "include", "none" - `home_category_id` (string) The "home" category of products to display when someone lands on the store - `id` (string, required) The unique, string identifier of this store - `installment_plan_options` (array, required) - `installment_plan_options.additional_cost` (number) The additional cost of the installment plan - `installment_plan_options.installment_plan_id` (string, required) The installment plan that this product supports - `installment_plan_options.is_default` (boolean) Whether this is the default installment plan option - `invoice_payment_terms_id` (string) The payment terms for invoices; if left blank, default is used - `invoice_template_id` (string) The template to use for invoices created during this process - `invoice_terms_id` (string) Default invoice terms for non-electronic payments made to the store - `is_active` (boolean) Whether or not this store is active - `membership_package_options` (object, required) - `membership_package_options.membership_package_ids` (array) - `membership_package_options.membership_package_restriction` (string) Enum: "exclude", "include", "none" - `membership_package_options.membership_type_ids` (array) - `membership_package_options.membership_type_restriction` (string) Enum: "exclude", "include", "none" - `merchant_account_id` (string, required) The merchant account that the store should use to receive payments - `name` (string, required) The name of the store - `order_confirmation_settings` (object, required) - `override_cancellation_confirmation_email` (boolean) If set, you can override the text of the confirmation email - `override_order_confirmation_email` (boolean) If set, you can override the text of the confirmation email - `override_return_confirmation_email` (boolean) If set, you can override the text of the confirmation email - `override_shipment_confirmation_email` (boolean) If set, you can override the text of the shipment email - `pay_later_options` (object) - `restocking_fee_product_id` (string) The ID of the product used for restocking fees - `return_confirmation_settings` (object, required) - `sell_certification_courses` (boolean) If set, this store sells certification courses - `sell_certification_exams` (boolean) If set, this store sells certification exams - `sell_event_registration_packages` (boolean) If set, this store sells event registration packages - `sell_membership_packages` (boolean) If set, this store sells membership packages - `shipment_confirmation_settings` (object, required) - `special_instructions` (string) Instructions shown to the user - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `use_pro_forma_invoices` (boolean) Whether to use pro forma invoices when user elects to pay later ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields